package com.evermind.ejb;

import java.util.*;
import java.rmi.*;
import javax.ejb.*;

public interface NewsSession extends EJBObject
{
	public Collection getChildren(int parent) throws RemoteException, FinderException;
	public NewsView getNews(int id) throws RemoteException, FinderException;
	public NewsView addNews(int parentID, Date date, String subject, String content) throws RemoteException, CreateException, FinderException;
}